OGRE: Ogre::Renderable::Visitor Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Renderable::Visitor Class Referenceabstract

Visitor object that can be used to iterate over a collection of Renderable instances abstractly. More...

`#include <OgreRenderable.h>`

## Public Member Functions
virtual | ~Visitor ()
| Virtual destructor needed as class has virtual methods.
virtual void | visit (Renderable *rend, ushort lodIndex, bool isDebug, Any *pAny=0)=0
| Generic visitor method.

## Detailed Description

Visitor object that can be used to iterate over a collection of Renderable instances abstractly.

Different scene objects use Renderable differently; some will have a single Renderable, others will have many. This visitor interface allows classes using Renderable to expose a clean way for external code to get access to the contained Renderable instance(s) that it will eventually add to the render queue.

  To actually have this method called, you have to call a method on the class containing the Renderable instances. One example is MovableObject::visitRenderables.

## Constructor & Destructor Documentation

## ◆ ~Visitor()

virtual Ogre::Renderable::Visitor::~Visitor | ( |  | ) |
| inlinevirtual

Virtual destructor needed as class has virtual methods.

## Member Function Documentation

## ◆ visit()

virtual void Ogre::Renderable::Visitor::visit | ( | Renderable * | rend,
|  | ushort | lodIndex,
|  | bool | isDebug,
|  | Any * | pAny = 0 )
| pure virtual

Generic visitor method.

Parameters

  rend | The Renderable instance being visited
  lodIndex | The LOD index to which this Renderable belongs. Some objects support LOD and this will tell you whether the Renderable you're looking at is from the top LOD (0) or otherwise
  isDebug | Whether this is a debug renderable or not.
  pAny | Optional pointer to some additional data that the class calling the visitor may populate if it chooses to.

References Ogre::Renderable::Renderable().

The documentation for this class was generated from the following file:

- OgreRenderable.h